Debian Bug report logs - #688355
network-manager: NM breaks /etc/network/interfaces with DHCP + manual IPv6 entries created by wheezy's debian-installer

version graph

Package: network-manager; Maintainer for network-manager is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for network-manager is src:network-manager.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Fri, 21 Sep 2012 22:51:04 UTC

Severity: grave

Tags: patch

Found in version network-manager/0.9.4.0-6

Fixed in version network-manager/0.9.4.0-9

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#688355; Package network-manager. (Fri, 21 Sep 2012 22:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 21 Sep 2012 22:51:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: network-manager: NM breaks /etc/network/interfaces with DHCP + manual IPv6 entries created by wheezy's debian-installer
Date: Sat, 22 Sep 2012 00:48:22 +0200
Package: network-manager
Version: 0.9.4.0-6
Severity: grave

I just installed a new laptop using wheezy's d-i. I do have IPv6 on the
network and as a result d-i did output supplementary entries in
/etc/network/interfaces.

However NetworkManager garbled them and the result is a file that
ifup doesn't parse. The net result is that the loopback interface
is not configured... and random things that don't work with hard to
debug failures.

$ cat /etc/network/interfaces
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
allow-hotplug eth0
#NetworkManager#iface eth0 inet dhcp
# This is an autoconfigured IPv6 interface
#NetworkManager#iface eth0 inet6 manual
	up ip link set eth0 up
	down ip link set eth0 down

Either NM needs to learn those new entries or we need to find a
definitive solution...

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.5-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages network-manager depends on:
ii  adduser                3.113+nmu3
ii  dbus                   1.6.2-2
ii  dpkg                   1.16.8
ii  isc-dhcp-client        4.2.4-2
ii  libc6                  2.13-35
ii  libdbus-1-3            1.6.2-2
ii  libdbus-glib-1-2       0.100-1
ii  libgcrypt11            1.5.0-3
ii  libglib2.0-0           2.33.12+really2.32.3-2
ii  libgnutls26            2.12.20-1
ii  libgudev-1.0-0         175-7
ii  libnl-3-200            3.2.7-4
ii  libnl-genl-3-200       3.2.7-4
ii  libnl-route-3-200      3.2.7-4
ii  libnm-glib4            0.9.4.0-6
ii  libnm-util2            0.9.4.0-6
ii  libpolkit-gobject-1-0  0.105-1
ii  libuuid1               2.20.1-5.2
ii  lsb-base               4.1+Debian7
ii  udev                   175-7
ii  wpasupplicant          1.0-2

Versions of packages network-manager recommends:
ii  crda          1.1.2-1
ii  dnsmasq-base  2.63-3
ii  iptables      1.4.14-3
ii  modemmanager  0.5.2.0-2
ii  policykit-1   0.105-1
ii  ppp           2.4.5-5.1+b1

Versions of packages network-manager suggests:
ii  avahi-autoipd  0.6.31-1

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#688355; Package network-manager. (Thu, 27 Sep 2012 07:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 27 Sep 2012 07:18:06 GMT) Full text and rfc822 format available.

Message #10 received at 688355@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Raphaël Hertzog <hertzog@debian.org>, 688355@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#688355: network-manager: NM breaks /etc/network/interfaces with DHCP + manual IPv6 entries created by wheezy's debian-installer
Date: Thu, 27 Sep 2012 09:14:40 +0200
[Message part 1 (text/plain, inline)]
Hi Raphael,


On 22.09.2012 00:48, Raphaël Hertzog wrote:

> 
> $ cat /etc/network/interfaces
> # This file describes the network interfaces available on your system
> # and how to activate them. For more information, see interfaces(5).
> 
> # The loopback network interface
> auto lo
> iface lo inet loopback
> 
> # The primary network interface
> allow-hotplug eth0
> #NetworkManager#iface eth0 inet dhcp
> # This is an autoconfigured IPv6 interface
> #NetworkManager#iface eth0 inet6 manual
> 	up ip link set eth0 up
> 	down ip link set eth0 down
> 

thanks for the bug report. Could you please also attach the original
/e/n/i file. A backup of that file should be available as
/etc/network/interfaces.bak-0

Cheers,
Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#688355; Package network-manager. (Thu, 27 Sep 2012 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 27 Sep 2012 09:12:03 GMT) Full text and rfc822 format available.

Message #15 received at 688355@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 688355@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#688355: network-manager: NM breaks /etc/network/interfaces with DHCP + manual IPv6 entries created by wheezy's debian-installer
Date: Thu, 27 Sep 2012 11:08:15 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Thu, 27 Sep 2012, Michael Biebl wrote:
> thanks for the bug report. Could you please also attach the original
> /e/n/i file. A backup of that file should be available as
> /etc/network/interfaces.bak-0

Attached.

-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/
[interfaces.bak-0 (text/plain, attachment)]

Added tag(s) patch. Request was from Maximiliano Curia <maxy@debian.org> to 606268-submit@bugs.debian.org. (Wed, 28 Nov 2012 23:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#688355; Package network-manager. (Wed, 28 Nov 2012 23:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maximiliano Curia <maxy@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 28 Nov 2012 23:57:07 GMT) Full text and rfc822 format available.

Message #22 received at 688355@bugs.debian.org (full text, mbox):

From: Maximiliano Curia <maxy@debian.org>
To: 606268@bugs.debian.org, 688355@bugs.debian.org, 690987@bugs.debian.org
Subject: Debdiff with new script to handle /etc/network/interfaces
Date: Thu, 29 Nov 2012 00:46:19 +0100
[Message part 1 (text/plain, inline)]
Control: tag 606268 + patch
Control: tag 688355 + patch
Control: tag 690987 + patch

Hi,

The script that is used to comment out the interfaces in
/etc/network/interfaces was so buggy that I had to write it completly from
scratch to make it work properly.

I have added a number of tests, to verify that the script does what it is
supposed to do.  I added the cases listed in the reported bugs, and also other
cases taken from different computers I had access to.

The script comments out the whole block that refers to one iface, not just the
iface line.  In the case of mappings, it doesn't comment them out.  This could
be changed if it was decided that the desired behaviour was to also comment
them out, I didn't do it because the original script didn't even take them
into account.

I'm attaching the debdiff that modifies this script and adds the corresponding
tests (executed from debian/rules during the dh_auto_test step).

I would like to hear opinions about this script from the maintainers or other
interested parties.  In the case that I don't get any replies, I would do the
NMU in a couple of days.

-- 
"The cheapest, fastest and most reliable components of a computer system are
those that aren't there."
-- Gordon Bell
Saludos /\/\ /\ >< `/
[network-manager_0.9.4.0-6.1.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#688355; Package network-manager. (Thu, 29 Nov 2012 00:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 29 Nov 2012 00:27:07 GMT) Full text and rfc822 format available.

Message #27 received at 688355@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Maximiliano Curia <maxy@debian.org>, 690987@bugs.debian.org, 688355@bugs.debian.org, 606268@bugs.debian.org
Cc: Debian-Release <debian-release@lists.debian.org>, Don Armstrong <don@debian.org>
Subject: Re: [Pkg-utopia-maintainers] Bug#690987: Debdiff with new script to handle /etc/network/interfaces
Date: Thu, 29 Nov 2012 01:23:23 +0100
[Message part 1 (text/plain, inline)]
Hi Maximiliano,

thanks for your work on this!

On 29.11.2012 00:46, Maximiliano Curia wrote:
> 
> The script that is used to comment out the interfaces in
> /etc/network/interfaces was so buggy that I had to write it completly from
> scratch to make it work properly.

Nod, the existing script is indeed horrible.

> I have added a number of tests, to verify that the script does what it is
> supposed to do.  I added the cases listed in the reported bugs, and also other
> cases taken from different computers I had access to.
> 
> The script comments out the whole block that refers to one iface, not just the
> iface line.  In the case of mappings, it doesn't comment them out.  This could
> be changed if it was decided that the desired behaviour was to also comment
> them out, I didn't do it because the original script didn't even take them
> into account.
> 
> I'm attaching the debdiff that modifies this script and adds the corresponding
> tests (executed from debian/rules during the dh_auto_test step).
> 
> I would like to hear opinions about this script from the maintainers or other
> interested parties.  In the case that I don't get any replies, I would do the
> NMU in a couple of days.


I will have a closer look this weekend, so expect a more detailed reply
then.

I just wanted to let you know, that there has been work in the
debian-installer (which will land in beta5 or rc1), to write NM system
connection configs.
This means, if NM is installed during the system installation (e.g. via
the desktop task),  d-i will write an empty /e/n/i and create configs
for /etc/NetworkManager/system-connections/ directly.

For the common case it should thus no longer be necessary to run the
ifblacklist.sh script. Because of that I have been considering dropping
it completely, since not everyone was happy that is has been running
unconditionally.
So far I refused to drop the script or put it behind a debconf prompt,
because that would have meant, basically everybody would see this prompt
or have an unmanaged network device.

With the updates in d-i, this situation has changed though.

The script is still useful for the case, where someone does a minimal
installation and later on installs NM / the desktop task.
If we are going to keep the script, I'm inclined to now put it behind a
debconf prompt, so people can opt-out from the "/e/n/i mangling".
I would actually make the default to *not* run the script.

That said I'd also like to have further opinions on this, especially
from the release team, since this will concern them anyway once I
request an unblock.

I basically see three options

a/ drop the ifblacklist.sh script

b/ fix the script and continue to run it unconditionally during the
initial installation (what we do today)

c/ fix the script and add a debconf prompt, so it is no longer run
unconditionally.
The default for the debconf prompt would be *not* to run the script.
We'd also have to make sure the debconf prompt is not shown in d-i.


Michael



-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 29 Jan 2013 03:36:21 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Tue, 29 Jan 2013 03:36:21 GMT) Full text and rfc822 format available.

Message #32 received at 688355-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 688355-close@bugs.debian.org
Subject: Bug#688355: fixed in network-manager 0.9.4.0-9
Date: Tue, 29 Jan 2013 03:33:06 +0000
Source: network-manager
Source-Version: 0.9.4.0-9

We believe that the bug you reported is fixed in the latest version of
network-manager, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 688355@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated network-manager package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 29 Jan 2013 04:10:11 +0100
Source: network-manager
Binary: network-manager network-manager-dev libnm-glib4 libnm-glib-dev libnm-glib-vpn1 libnm-glib-vpn-dev libnm-util2 libnm-util-dev network-manager-dbg gir1.2-networkmanager-1.0
Architecture: source amd64
Version: 0.9.4.0-9
Distribution: unstable
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 gir1.2-networkmanager-1.0 - GObject introspection data for NetworkManager
 libnm-glib-dev - network management framework (GLib interface)
 libnm-glib-vpn-dev - network management framework (GLib interface)
 libnm-glib-vpn1 - network management framework (GLib VPN shared library)
 libnm-glib4 - network management framework (GLib shared library)
 libnm-util-dev - network management framework (development files)
 libnm-util2 - network management framework (shared library)
 network-manager - network management framework (daemon and userspace tools)
 network-manager-dbg - network management framework (debugging symbols)
 network-manager-dev - network management framework (development files)
Closes: 475188 512286 606268 656584 688355 690987
Changes: 
 network-manager (0.9.4.0-9) unstable; urgency=low
 .
   * Change the ifupdown dispatcher script and set ADDRFAM to "inet" or "inet6"
     depending on whether the connection has a valid IPv4 or IPv6 address.
     Using "NetworkManager" as ADDRFAM type did confuse most ifupdown hook
     scripts and e.g. broke async NFS mounts. (Closes: #475188, #656584)
   * debian/patches/05-force-online-with-unmanaged-devices.patch: If network
     interfaces are configured in /etc/network/interfaces, NM will mark those
     devices as unmanaged by default. If such a network interface has been
     brought up by ifup, set the global online state to CONNECTED.
     (Closes: #512286)
   * No longer run the ifblacklist_migrate.sh script upon installation. This
     script was used to comment out DHCP type network interface configurations
     in /etc/network/interfaces as otherwise NM would mark such devices as
     unmanaged. This script was buggy though and sometimes created a broken
     network configuration.
     Since debian-installer in wheezy (7.0) will create proper configuration
     for NM if the network-manager package is part of the installation, this is
     no longer necessary.
     If users make a minimal system installation and install the
     network-manager package afterwards, show a warning in postinst if we
     find any interface configurations in /etc/network/interfaces.
     (Closes: #688355, #690987, #606268)
   * Update README.Debian for the latest changes.
Checksums-Sha1: 
 3b225386a33efe97970662decc049592b74de267 2971 network-manager_0.9.4.0-9.dsc
 b17a46a35393878ae50f811d3b9f09e47c4f4169 45358 network-manager_0.9.4.0-9.debian.tar.gz
 3e4c13b3928f43f47e69b595efaaa6db843d4b5b 867100 network-manager_0.9.4.0-9_amd64.deb
 4d5079e078a1b8b68af9e085f8b0c03a44c828a5 275610 network-manager-dev_0.9.4.0-9_amd64.deb
 88ff94e8301ad41cdaba75b0f8529a088b9e1879 295262 libnm-glib4_0.9.4.0-9_amd64.deb
 b065d88332dc9a4cbed6ff2898d8d0310cb46184 389026 libnm-glib-dev_0.9.4.0-9_amd64.deb
 15bccdc5351941fc017b31d5b7a70aba1e667b03 239096 libnm-glib-vpn1_0.9.4.0-9_amd64.deb
 44692f28d2b3fa71840b9b4b21fed0a3696c8e3e 231738 libnm-glib-vpn-dev_0.9.4.0-9_amd64.deb
 0e26913e2daa8beef550d9a6ade55eb65213ec11 331934 libnm-util2_0.9.4.0-9_amd64.deb
 1bd1436b0a1e239c52accfc16bf70489854b163d 370626 libnm-util-dev_0.9.4.0-9_amd64.deb
 51493f846be62f5fad4faf0be044e7f5c962f607 1725180 network-manager-dbg_0.9.4.0-9_amd64.deb
 60e90ae99ef5452fd68b0243528d34ed339131d9 258990 gir1.2-networkmanager-1.0_0.9.4.0-9_amd64.deb
Checksums-Sha256: 
 1cd62c4dc0e31a1f437c14586645a49022e1b570820755b514ce0c44ee224c06 2971 network-manager_0.9.4.0-9.dsc
 df13ae28d160eb49c6a060ac6df54af02e3d2e815bca1f188a45af272d1c78e1 45358 network-manager_0.9.4.0-9.debian.tar.gz
 f285bb9ab1f0b9ff7fde6a242bede440d7201c2ce35119ec5016889677e050b2 867100 network-manager_0.9.4.0-9_amd64.deb
 2d5c791e15907a48de6b8757c5f1e70a50e66a38bb07112d3d2957783328795f 275610 network-manager-dev_0.9.4.0-9_amd64.deb
 abeed6264eff9d2e6a5481a9bf800226684557e7a8fb2822304f95948cefbe8b 295262 libnm-glib4_0.9.4.0-9_amd64.deb
 179e07c351b4d07f6433913b708425fa7a371f0b60445bec544fbaccb5c03689 389026 libnm-glib-dev_0.9.4.0-9_amd64.deb
 52f95d62b1a0603a820029f6600360fdd2ba487daeee188b8f54c7d61713eef1 239096 libnm-glib-vpn1_0.9.4.0-9_amd64.deb
 1ec0805521f1cbdf3f0ff68d3a0557199b67c17ad7fcbc0e3d6fed1d17ca2b88 231738 libnm-glib-vpn-dev_0.9.4.0-9_amd64.deb
 5c7beb9d234a7af1ea030d64a5a2fe819b0dd06edb4ad7e0d9f39a970a73c79c 331934 libnm-util2_0.9.4.0-9_amd64.deb
 e13d955879d80308a71c6d07d880113df75a89dc098922745d8b86424aed01ca 370626 libnm-util-dev_0.9.4.0-9_amd64.deb
 9b2cd3de689303a2cb60373113f64634268bce3e34ee9645bcf2f7a3f996f590 1725180 network-manager-dbg_0.9.4.0-9_amd64.deb
 dad53f4668832027efb0cdd416d881005772601a1a2836749f1c3be447957e64 258990 gir1.2-networkmanager-1.0_0.9.4.0-9_amd64.deb
Files: 
 507a252427f213b621aadc2c2d0023a8 2971 net optional network-manager_0.9.4.0-9.dsc
 2e90014f4780527627d2f886a3224467 45358 net optional network-manager_0.9.4.0-9.debian.tar.gz
 bf799661c16a36a9eaa2cb87d52c775a 867100 net optional network-manager_0.9.4.0-9_amd64.deb
 a1b6fe153c9c98e15988298c2f8c7349 275610 devel optional network-manager-dev_0.9.4.0-9_amd64.deb
 24cb0e55b6acb968b9af6e3c97990b42 295262 libs optional libnm-glib4_0.9.4.0-9_amd64.deb
 8e4fcf9bff136a2f9862cda958b1e3ed 389026 libdevel optional libnm-glib-dev_0.9.4.0-9_amd64.deb
 bceb64f76d707047342f3c9c671d64ca 239096 libs optional libnm-glib-vpn1_0.9.4.0-9_amd64.deb
 a14feb2659fb6a2ea187ffea8c79d5b5 231738 libdevel optional libnm-glib-vpn-dev_0.9.4.0-9_amd64.deb
 c052f7b23076f734eeb2a3ba47f54618 331934 libs optional libnm-util2_0.9.4.0-9_amd64.deb
 12db346b419df7ac333f004c8820a77c 370626 libdevel optional libnm-util-dev_0.9.4.0-9_amd64.deb
 c26bae5daa88af0bbb757ea51f80a427 1725180 debug extra network-manager-dbg_0.9.4.0-9_amd64.deb
 1b786204001e0ea6a89a60473b878230 258990 introspection optional gir1.2-networkmanager-1.0_0.9.4.0-9_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRBz/IAAoJEGrh3w1gjyLcatcP/3ynNUipgiWMNHCXA8aywZl3
jiG0KZHDcHPU9A2Kudo75BOvqZrWS4WS3LEppun3gHHNhfGQTeFYLwDjF6rtGlo0
GKJZDp8EASs/NpBb3PaL+fENdN7GMv/FZorF0nB4QdUvfjkub1wIPXuC/xOjvn6z
z1NkZwNFY5q7QN6vbQblp9dK/bu3JV3IpwTleRxmr7c42GxOwat+QTasRU9MDRsQ
vPvoahD9J2ZCBJRdbeYFO3AsMONEogyqwUn5HKAogjmchKnA0Fd7zfFEjsPSBDcs
c9btYw5Jy319s99rgQBZlhfF0Q1lcz84uXUNky1m5yeORFzU63fyP9Vc/Dl37tt1
iDOkNqPltHLCEnNSneHVtZ7BCA7pfBS4jIwrz83nt1wNUbgJTijmM9ZyBW64nyW5
q45kRFR+5F0kkAQ2w85j975wdE7JM3wVXH7VxMYX+o28o5OKLarC83bA8Ln7QOwm
WOINCufrgCvCeVz019UO0fE9wL7qPgGUviOZFC5CGiUmvzN1c2Y9pjiZEWhxsRUL
sy4Du+s+JZJwYdQHdArzrPyGb35XCh1aTbQ6iz5iNlyFZW7P7UWJhyAZzofSSeVk
aEdhtuwa/LSdDi38mu9S7rk6VTH7BvD8A63CwEJgUVhhDT8TlpZ1u2IZ6a4kjUQ9
SYute/f8pypf63AmVtHQ
=5hhc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Feb 2013 07:27:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:23:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.